Subject: Re: [PATCH] cmake: generalize the handling of the `UNIT_TEST_OBJS` list

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Sep 2024 18:58:27 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> With a4f50bb1e9b (t/unit-tests: introduce reftable library, 2024-09-16),
> however, the `UNIT_TEST_OBJS` list became a trio, and the CMake
> definition has to be adjusted again. Now that we can use the
> `parse_makefile_for_sources()` function without many complications,
> let's do that.

Am I correct to understand that it is not "trio"-ness (has three
things) that makes the approach feasible, but the fact that all
three things are concrete values?

The longer-term aspiration is to migrate everything to clar-based
unit tests, so the list will hopefully keep getting shorter and then
become empty (https://lore.kernel.org/git/[email-masked]/).

Will queue.  Thanks.